<?php

namespace NoccyLabs\Plugin;

use NoccyLabs\Plugin\Manager\PluginManager;



abstract class AbstractPlugin
{
    private $manager;

    private $context;

    final public function __construct(PluginManager $manager, $context)
    {

    }

    protected function getManager() : PluginManager
    {

    }

    protected function getContext()
    {
        return $this->context;
    }

    public function setContext($context)
    {
        $this->context = $context;
    }
}